✨ Bulk assign project members
Authentication
AuthorizationToken
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:
curl https://label-studio-host/api/projects -H “Authorization: Token [your-token]”Path parameters
id
Query parameters
last_activity__gte
Filter by last activity (ISO 8601 formatted date). Only when all=True.
last_activity__lte
Filter by last activity upper bound (ISO 8601 formatted date). Only when all=True.
role
Filter by role, project roles take precedence over organization roles. Only when all=True. (comma-separated values)
search
Search term for filtering members by name, email, or username. Only when all=True.
user_type
Multiple values may be separated by commas. (comma-separated values)
Request
This endpoint expects an object.
all
Apply to all project members
excluded
Excluded user IDs
included
Included user IDs
roles
Member roles
Response
assignments
skipped_user_ids